
package de.ivu.elect.presentation.wahl.menu;

import javax.inject.Inject;

import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;
import de.ivu.elect.presentation.wahl.exchange.NlExportArtefaktNachSystemExportstatusSearchExportDescription;

public class NlExportArtefaktNachSystemExportstatusSearchExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient NlExportArtefaktNachSystemExportstatusSearchExportDescription nlExportArtefaktNachSystemExportstatusExportDescription;

  public NlExportArtefaktNachSystemExportstatusSearchExportMenuItemEntry() {
    super();
  }

  @Override
  protected boolean isExporterVorhanden() {
    return true; // ELECT-10276
  }

  @Override
  protected NlExportArtefaktNachSystemExportstatusSearchExportDescription getExportDescription() {
    return nlExportArtefaktNachSystemExportstatusExportDescription;
  }

  @Override
  public String getLabelKey() {
    return "dokument.nach.system.exportstatus.search.menu.item.label";
  }
}
